SQLiteを導入しようと、pearコマンドを使用したのですが、

running: phpize
sh: line 1: phpize: command not found
`phpize' failed
がでてしまいました。
php-develをインストールしたらいいとどこかのサイトに書いてあったので実行してみましたが、: 「パッケージ php-devel が見付かりません」と出てしまいます。

参考となるサイトがあれば教えてください。

目的は「SQLiteが使用できるようになること」なので、php-devel のインストールにはこだわりません。

よろしくお願いします。

回答の条件
  • 1人2回まで
  • 登録:2006/10/22 00:57:03
  • 終了:2006/10/22 15:35:46

ベストアンサー

id:technolize No.1

technolize回答回数21ベストアンサー獲得回数32006/10/22 02:58:15

ポイント50pt

どのように利用するのかわかりませんが、Debian をお使いのようなので、その前提で書きます。PHP はバージョン4を想定します。

単純に利用するだけであれば、

sudo aptitude install php4-sqlite php4-sqlite3
のようにすれば大丈夫です。

また、PHP5であれば標準で利用できますし、PDOも使えるのでバージョンアップしてみるのも良いと思います。

ちなみに php-devel というのはRedHat系のパッケージ名だと思います。 Debian には php4-dev という名前で用意されています。

id:kappapa

ありがとうございました。

解決しました。

2006/10/22 15:34:08

その他の回答(1件)

id:technolize No.1

technolize回答回数21ベストアンサー獲得回数32006/10/22 02:58:15ここでベストアンサー

ポイント50pt

どのように利用するのかわかりませんが、Debian をお使いのようなので、その前提で書きます。PHP はバージョン4を想定します。

単純に利用するだけであれば、

sudo aptitude install php4-sqlite php4-sqlite3
のようにすれば大丈夫です。

また、PHP5であれば標準で利用できますし、PDOも使えるのでバージョンアップしてみるのも良いと思います。

ちなみに php-devel というのはRedHat系のパッケージ名だと思います。 Debian には php4-dev という名前で用意されています。

id:kappapa

ありがとうございました。

解決しました。

2006/10/22 15:34:08
id:toohigh No.2

toohigh回答回数291ベストアンサー獲得回数372006/10/22 06:52:00

ポイント20pt

pear で機能追加するには、-dev 系のパッケージがけっこうあれこれ必要だったかと思います。

SQLite を使うだけなら php4-sqlite (debian の場合) などのパッケージを追加するだけで OK かと・・。

より具体的なパッケージ名などを知りたい場合は、対象マシンの OS とバージョンを書いておくと良いかと思います。

id:kappapa

ありがとうございました。

2006/10/22 15:34:20

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません